Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class FileContents

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.FileContents

All Implemented Interfaces:
  CommentListener

public final class FileContents
extends java.lang.Object
implements CommentListener

Represents the contents of a file.

Version:
  1.0
Author:
  Oliver Burn

Constructor Summary
`FileContents(java.lang.String aFilename, java.lang.String[] aLines)` Creates a new `FileContents` instance.

Method Summary
`java.util.Map` | `getCComments()` Returns a map of all C style comments.
`java.util.Map` | `getCppComments()` Returns a map of all the C++ style comments.
`java.lang.String` | `getFilename()`
`TextBlock` | `getJavadocBefore(int aLineNo)` Returns the Javadoc comment before the specified line.
`java.lang.String[]` | `getLines()`
`boolean` | `hasIntersectionWithComment(int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Checks if the specified position intersects with a comment.
`boolean` | `lineIsBlank(int aLineNo)` Checks if the specified line is blank.
`boolean` | `lineIsComment(int aLineNo)` Checks if the specified line is a single-line comment without code.
`void` | `reportBlockComment(java.lang.String aType, int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Report the location of a block comment that can span multiple lines. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.
`void` | `reportCComment(int aStartLineNo, int aStartColNo, int aEndLineNo, int aEndColNo)` Report the location of a C-style comment.
`void` | `reportCppComment(int aStartLineNo, int aStartColNo)` Report the location of a C++ style comment.
`void` | `reportSingleLineComment(java.lang.String aType, int aStartLineNo, int aStartColNo)` Report the location of a single line comment that extends from the given point to the end of the line. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileContents

    public FileContents(java.lang.String aFilename,
                        java.lang.String[] aLines)

  Creates a new `FileContents` instance.

Parameters:
  `aFilename` - name of the file
  `aLines` - the contents of the file

Method Detail

### reportSingleLineComment

    public void reportSingleLineComment(java.lang.String aType,
                                        int aStartLineNo,
                                        int aStartColNo)

  Report the location of a single line comment that extends from the given point to the end of the line. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Specified by:
    `reportSingleLineComment` in interface `CommentListener`
  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number

### reportBlockComment

    public void reportBlockComment(java.lang.String aType,
                                   int aStartLineNo,
                                   int aStartColNo,
                                   int aEndLineNo,
                                   int aEndColNo)

  Report the location of a block comment that can span multiple lines. The type of comment is identified by a String whose value depends on the language being parsed, but would typically be the delimiter for the comment.

  Specified by:
    `reportBlockComment` in interface `CommentListener`
  Parameters:
    `aType` - an identifier for what type of comment it is.
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number

### reportCppComment

    public void reportCppComment(int aStartLineNo,
                                 int aStartColNo)

  Report the location of a C++ style comment.

  Parameters:
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number

### getCppComments

    public java.util.Map getCppComments()

  Returns a map of all the C++ style comments. The key is a line number, the value is the comment at the line.

  Returns:
    the Map of comments

### reportCComment

    public void reportCComment(int aStartLineNo,
                               int aStartColNo,
                               int aEndLineNo,
                               int aEndColNo)

  Report the location of a C-style comment.

  Parameters:
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number

### getCComments

    public java.util.Map getCComments()

  Returns a map of all C style comments. The key is the line number, the value is a list of C style comments at the line.

  Returns:
    the map of comments

### getJavadocBefore

    public TextBlock getJavadocBefore(int aLineNo)

  Returns the Javadoc comment before the specified line. A return value of `null` means there is no such comment.

  Parameters:
    `aLineNo` - the line number to check before
  Returns:
    the Javadoc comment, or `null` if none

### getLines

    public java.lang.String[] getLines()

  Returns:
    the lines in the file

### getFilename

    public java.lang.String getFilename()

  Returns:
    the name of the file

### lineIsBlank

    public boolean lineIsBlank(int aLineNo)

  Checks if the specified line is blank.

  Parameters:
    `aLineNo` - the line number to check
  Returns:
    if the specified line consists only of tabs and spaces.

### lineIsComment

    public boolean lineIsComment(int aLineNo)

  Checks if the specified line is a single-line comment without code.

  Parameters:
    `aLineNo` - the line number to check
  Returns:
    if the specified line consists of only a single line comment without code.

### hasIntersectionWithComment

    public boolean hasIntersectionWithComment(int aStartLineNo,
                                              int aStartColNo,
                                              int aEndLineNo,
                                              int aEndColNo)

  Checks if the specified position intersects with a comment.

  Parameters:
    `aStartLineNo` - the starting line number
    `aStartColNo` - the starting column number
    `aEndLineNo` - the ending line number
    `aEndColNo` - the ending column number
  Returns:
    true if the positions intersects with a comment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD